Loading...
Searching...
No Matches
auth_scheme Struct Reference

Authentication scheme. More...

`#include <auth_plugin.h>`

## Data Fields

char const * | asch_method
| Name.
usize_t | asch_size
| Size of module object.
int(* | asch_init )(auth_mod_t *am, auth_scheme_t *base, su_root_t *root, tag_type_t tag, tag_value_t value,...)
| Initialize module.
void(* | asch_check )(auth_mod_t *am, auth_status_t *as, msg_auth_t *auth, auth_challenger_t const *ch)
| Check authentication.
void(* | asch_challenge )(auth_mod_t *am, auth_status_t *as, auth_challenger_t const *ch)
| Create a challenge.
void(* | asch_cancel )(auth_mod_t *am, auth_status_t *as)
| Cancel an asynchronous authentication request.
void(* | asch_destroy )(auth_mod_t *am)
| Reclaim resources an authentication module.

## Detailed Description

Authentication scheme.

## Field Documentation

## asch_cancel

void(* asch_cancel) (auth_mod_t *am, auth_status_t *as)

Cancel an asynchronous authentication request.

Invoked by auth_mod_cancel().

## asch_challenge

void(* asch_challenge) (auth_mod_t *am, auth_status_t *as, auth_challenger_t const *ch)

Create a challenge.

Invoked by auth_mod_challenge().

## asch_check

void(* asch_check) (auth_mod_t *am, auth_status_t *as, msg_auth_t *auth, auth_challenger_t const *ch)

Check authentication.

Invoked by auth_mod_method().

## asch_destroy

void(* asch_destroy) (auth_mod_t *am)

Reclaim resources an authentication module.

Invoked by auth_mod_destroy()/auth_mod_unref().

## asch_init

int(* asch_init) (auth_mod_t *am, auth_scheme_t *base, su_root_t *root, tag_type_t tag, tag_value_t value,...)

Initialize module.

Invoked by auth_mod_create().

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.